MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# input_plugin Struct Reference

`#include <input_plugin.h>`

## Data Fields
const char * | name
bool(* | init )(const struct config_param *param, GError **error_r)
| Global initialization.
void(* | finish )(void)
| Global deinitialization.
struct input_stream *(* | open )(const char *uri, GError **error_r)
void(* | close )(struct input_stream *is)
struct tag *(* | tag )(struct input_stream *is)
int(* | buffer )(struct input_stream *is, GError **error_r)
size_t(* | read )(struct input_stream *is, void *ptr, size_t size, GError **error_r)
bool(* | eof )(struct input_stream *is)
bool(* | seek )(struct input_stream *is, goffset offset, int whence, GError **error_r)

## Detailed Description

Definition at line 32 of file input_plugin.h.

## Field Documentation

int(* input_plugin::buffer)(struct input_stream *is, GError **error_r)

Definition at line 55 of file input_plugin.h.

void(* input_plugin::close)(struct input_stream *is)

Definition at line 52 of file input_plugin.h.

bool(* input_plugin::eof)(struct input_stream *is)

Definition at line 58 of file input_plugin.h.

void(* input_plugin::finish)(void)

Global deinitialization.

Called once before MPD shuts down (only if init() has returned true).

Definition at line 49 of file input_plugin.h.

bool(* input_plugin::init)(const struct config_param *param, GError **error_r)

Global initialization.

This method is called when MPD starts.

Parameters:

  error_r | location to store the error occuring, or NULL to ignore errors

Returns:
  true on success, false if the plugin should be disabled

Definition at line 43 of file input_plugin.h.

const char* input_plugin::name

Definition at line 33 of file input_plugin.h.

struct input_stream*(* input_plugin::open)(const char *uri, GError **error_r)`[read]`

Definition at line 51 of file input_plugin.h.

size_t(* input_plugin::read)(struct input_stream *is, void *ptr, size_t size, GError **error_r)

Definition at line 56 of file input_plugin.h.

bool(* input_plugin::seek)(struct input_stream *is, goffset offset, int whence, GError **error_r)

Definition at line 59 of file input_plugin.h.

struct tag*(* input_plugin::tag)(struct input_stream *is)`[read]`

Definition at line 54 of file input_plugin.h.

The documentation for this struct was generated from the following file:

- src/input_plugin.h